Bug 981958 - Can't assign F1 as a short cut in gnome3 keyboard settings
Can't assign F1 as a short cut in gnome3 keyboard settings
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 06:09 EDT by Sam Tygier
Modified: 2015-02-18 08:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:58:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Tygier 2013-07-07 06:09:44 EDT
Description of problem:
I would like to set F1 as a shortcut to open a terminal. But when I try to assign F1 as a  shortcut the help browser is opened instead

Version-Release number of selected component (if applicable):
Fedora 19
control-center-3.8.3-2.fc19.i686

How reproducible:
Every time

Steps to Reproduce:
1. Open keyboard shortcuts panel in settings
2. Make sure F1 is not assigned to anything
3. Select an action that you would like to assign F1 to (for me this is a custom launcher for gnome-terminal)
4. Click on the shortcut side of the entry, so that it changes from 'disabled' to 'New accelerator ...'
5. Press F1 key

Actual results:
Help browser opens

Expected results:
F1 is assigned as shortcut

Additional info:
I can assign other F keys fine.
Comment 1 Jeremy Bicha 2013-07-27 13:52:19 EDT
F1 is hard-coded to open Help in many apps.
Comment 2 Sam Tygier 2013-07-29 16:24:23 EDT
Then the keyboard shortcut panel is broken for allowing users to select F1 as a shortcut.

New expected results:
A nice message to tell you that F1 is special and can't be used for shortcuts.
Comment 3 Fedora End Of Life 2015-01-09 17:11:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-18 08:58:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.